Package org.kapott.hbci.status

# Class HBCIExecStatus

java.lang.Object
org.kapott.hbci.status.HBCIExecStatus

public class HBCIExecStatus extends Object
Statusinformationen über alle ausgeführten Dialoge. Die Methode `HBCIHandler.execute()` gibt nach der Ausführung aller HBCI-Dialoge ein Objekt dieser Klasse zurück. Dieses Objekt enthält Informationen darüber, für welche Kunden-IDs tatsächlich HBCI-Dialoge geführt wurden. Für jeden geführten HBCI-Dialog existiert dann ein `HBCIDialogStatus`-Objekt, welches Informationen zu dem jeweiligen Dialog enthält.

## Constructor Summary

Constructors
Constructor
Description
`HBCIExecStatus()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDialogStatus(String customerid, HBCIDialogStatus status)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen
`void`
`addException(String customerid, Exception e)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen
`List<String>`
`getCustomerIds()`
Gibt die Menge aller Kunden-IDs zurück, für die ein HBCI-Dialog geführt wurde.
`HBCIDialogStatus`
`getDialogStatus(String customerid)`
`HBCIDialogStatus` für den Dialog einer bestimmten Kunden-ID zurückgeben.
`List<HBCIDialogStatus>`
`getDialogStatusList()`
Deprecated.
sinnlos
`String`
`getErrorString()`
Gibt einen String zurück, der alle Fehlermeldungen aller ausgeführten Dialog enthält.
`List<Exception>`
`getExceptions(String customerid)`
Exceptions zurückgeben, die beim Ausführen eines bestimmten Dialoges aufgetreten sind.
`boolean`
`isOK()`
Gibt zurück, ob alle "geplanten" HBCI-Dialoge ordnungsgemäß ausgeführt wurden.
`boolean`
`isOK(String customerId)`
`String`
`toString()`
Gibt einen String mit allen Status-Informationen über alle ausgeführten Dialoge zurück.
`String`
`toString(String customerId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HBCIExecStatus

public HBCIExecStatus()

## Method Details

### getCustomerIds

public List<String> getCustomerIds()
Gibt die Menge aller Kunden-IDs zurück, für die ein HBCI-Dialog geführt wurde.

Returns:
  Liste mit Kunden-IDs

### addDialogStatus

public void addDialogStatus(String customerid, HBCIDialogStatus status)
Wird von der HBCI4Java-Dialog-Engine aufgerufen

### addException

public void addException(String customerid, Exception e)
Wird von der HBCI4Java-Dialog-Engine aufgerufen

### getDialogStatusList

@Deprecated public List<HBCIDialogStatus> getDialogStatusList()
Deprecated.
sinnlos
Gibt eine Liste von Status-Informationen für jeden ausgeführten HBCI-Dialog zurück. Diese Methode ist insofern von eingeschränkter Bedeutung, weil es nicht möglich ist, einem `HBCIDialogStatus`-Objekt dieser Liste die Kunden-ID zuzuordnen, unter der der jeweilige Dialog geführt wurde. Dazu müssen die Methoden `getCustomerIds()` und `getDialogStatus(String)` verwendet werden.

Returns:
  Menge aller gespeicherten HBCI-Dialog-Status-Informationen

### getDialogStatus

public HBCIDialogStatus getDialogStatus(String customerid)
`HBCIDialogStatus` für den Dialog einer bestimmten Kunden-ID zurückgeben.

Parameters:
  `customerid` - die Kunden-ID, für deren Dialog das Status-Objekt zurückgegeben werden soll
Returns:
  Status-Objekt für den ausgewählten Dialog

### getExceptions

public List<Exception> getExceptions(String customerid)
Exceptions zurückgeben, die beim Ausführen eines bestimmten Dialoges aufgetreten sind. Dabei werden nur die Exceptions zurückgegeben, die Fehler in der Verwaltung der Kunden-IDs/Dialoge betreffen. Alle Exceptions, die während der eigentlichen Dialogausführung evtl. aufgetreten sind, sind im entsprechenden `HBCIDialogStatus`-Objekt des jeweiligen Dialoges enthalten.

Parameters:
  `customerid` - die Kunden-ID, für deren HBCI-Dialog die evtl. aufgetretenen Exceptions ermittelt werden sollen.
Returns:
  Liste mit aufgetretenen Exceptions

### getErrorString

public String getErrorString()
Gibt einen String zurück, der alle Fehlermeldungen aller ausgeführten Dialog enthält.

Returns:
  String mit allen aufgetretenen Fehlermeldungen

### toString

public String toString(String customerId)

### toString

public String toString()
Gibt einen String mit allen Status-Informationen über alle ausgeführten Dialoge zurück.

Overrides:
  `toString` in class `Object`
Returns:
  textuelle Darstellung aller gespeicherten Statusdaten

### isOK

public boolean isOK(String customerId)

### isOK

public boolean isOK()
Gibt zurück, ob alle "geplanten" HBCI-Dialoge ordnungsgemäß ausgeführt wurden.

Returns:
  `false`, wenn wenigstens bei einer Dialog-Ausführung für eine Kunden-ID ein Fehler aufgetreten ist; ansonsten `true`